import { McmaApiRouteCollection } from "@mcma/api";
import { Request, Response } from "express";
import { ConfigVariables, LoggerProvider } from "@mcma/core";
export declare class HttpFunctionApiController {
    private loggerProvider?;
    private configVariables;
    private mcmaApiController;
    constructor(routes: McmaApiRouteCollection, loggerProvider?: LoggerProvider, configVariables?: ConfigVariables);
    handleRequest(request: Request, response: Response): Promise<void>;
}
